/*
 * RLSErrorMessages.h
 *
 *  Created on: Feb 28, 2011
 *      Author: Brenda Javornik (e-mail: brendaj (at) nwra.com)
 */

#ifndef RLSERRORMESSAGES_H_
#define RLSERRORMESSAGES_H_

const static char NotEnoughInputParms[] = "Not enough input parameters in input file";
const static char MatrixSquare[] = "Matrix must be square";
const static char DnNotEqualCInRow[] = "Data input matrix, d, must have same dimension as noise Covariance, CI";
const static char MnRowNotEqualCInRow[] = "Kernel matrix, M, must have same number of rows as noise Covariance, CI";
const static char MnColNotEqualRnRow[] = "Kernel matrix, M, columns must equal rows of Regularization matrix, R";
const static char KernelCovXYSame[] = "First two dimensions of Kernel and Noise Covariance must be the same";
const static char ZeroLambda[] = "Performing inversion with lambda = 0.0; zero is not considered a valid value for lambda";

#endif /* RLSERRORMESSAGES_H_ */
